Bug 1299854 - launch-fusor-undercloud-installer aborts with "neutron subnet-update: error: too few arguments"
launch-fusor-undercloud-installer aborts with "neutron subnet-update: error: ...
Status: VERIFIED
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: fusor-installer (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity high
: TP2
: 1.0
Assigned To: Dylan Murray
Tasos Papaioannou
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-19 07:17 EST by Thom Carlin
Modified: 2016-08-26 15:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thom Carlin 2016-01-19 07:17:39 EST
Description of problem:

Entering public interface IP address for network IP address results in  "neutron subnet-update: error: too few arguments"

Version-Release number of selected component (if applicable):

RHCIOOO-7-RHEL-7-20160118.t.2

How reproducible:

Unsure

Steps to Reproduce:
1. Install RHCS-I Triple O ISO
2. Log in to start launch-fusor-undercloud-installer
3. Enter non-192.0.2.x address for network IP address

Actual results:

neutron subnet-update: error: too few arguments

Expected results:

Either appropriate error or successful install

Additional info:
Comment 1 Thom Carlin 2016-01-19 08:02:43 EST
Also seeing Connection reset by peer/Broken pipe as in 1299622.
Comment 2 Dylan Murray 2016-01-19 15:26:25 EST
PR: https://github.com/fusor/fusor-undercloud-installer/pull/11

We now check that the gateway address is on the same subnet as the specified network.
Comment 3 John Matthews 2016-01-22 15:20:13 EST
Compose of 1/22/16
Comment 4 Tasos Papaioannou 2016-03-24 10:43:13 EDT
If I enter a gateway IP address that is outside the network, the error message has a typo:

----
Please specify the IP Address of the network gateway. This is preferably the router that leads out to the larger network but will default to this machine if not changed, making this machine a critical piece of your OpenStack infrastructure. [192.168.150.254] 192.168.151.1
Entered IP address not in thespecified network range, please try again. 
----

"thespecified" should be "the specified".

In bin/fusor-undercloud-configurator, the fix would be:

             print "The specified network gateway is not a valid IP address, please try again"
             valid = False
         elif not ipaddress.IPv4Address(unicode(gateway)) in network:
-            print "Entered IP address not in the" \
+            print "Entered IP address not in the " \
                   "specified network range, please try again."
             valid = False
         elif gateway == undercloud_ip:
Comment 5 Dylan Murray 2016-03-24 15:42:00 EDT
https://github.com/fusor/fusor-undercloud-installer/pull/36

When we cleaned up the code for python standard we split the line in half and forgot to add a space.
Comment 6 Dylan Murray 2016-08-26 11:28:36 EDT
This was fixed as of QCI-1.0-RHEL-7-20160825.t.0
Comment 7 Tasos Papaioannou 2016-08-26 15:20:42 EDT
Verified on QCIOOO-8.0-RHEL-7-20160823.t.0.

Note You need to log in before you can comment on or make changes to this bug.